Mail archive
alpine-devel

Re: [alpine-devel] switching to musl

From: Jeff Bilyk <jbilyk_at_gmail.com>
Date: Wed, 02 Apr 2014 08:53:52 -0400

On 2 Apr 2014 05:02, Natanael Copa <ncopa_at_alpinelinux.org> wrote:
>
> Hi,
>
> I wonder if there are anything that prevents us from switching edge to
> musl now?
>
>
> The list of packages that does not build on x86_64 are:
>
> coova-chilli
> cowdancer
> cups-filters
> drbd
> dvgrab
> ebtables
> flashrom
> freeswitch
> gnome-panel
> gnome-screensaver
> gnome-session
> gnome-settings-daemon
> gst-plugins-bad
> iputils
> js
> kbd
> libgnome-keyring
> libspf2
> ntop
> ocfs2-tools
> open-iscsi
> open-vm-tools
> oprofile
> pcmciautils
> py-libvirt
> reiserfsprogs
> socat
> uboot-mkimage
> ufsutils
> util-vserver
> valgrind
> xbmc
> xfce4-power-manager
> xl2tpd
> zoneminder
>
> The list does not include any packages that depend on anything above.
>
> Those will not be included in 3.0 unless we fix them. If anyone have
> opinion what should be prioritized, please let us know.

Out of the list, freeswitch would affect me the most, so it'd be nice to have it in 3.0.

>
> It might also be an idea to look over what is in testing and see if
> there is anything there we need for 3.0 release. Then its time to move
> it to main.
>
> Thanks!
>
> -nc
>
>
> ---
> Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
> Help:         alpine-devel+help_at_lists.alpinelinux.org
> ---
>
R{.n+yׯz_˛mbzX+ijZb^~i+-iw{
Received on Wed Apr 02 2014 - 08:53:52 UTC